Loading...
Searching...
No Matches
RDKit::AtomCoordsMatchFunctor Struct Reference

`#include <SubstructMatch.h>`

## Public Member Functions

| AtomCoordsMatchFunctor (int refConfId=-1, int queryConfId=-1, double tol=1e-4)
bool | operator() (const Atom &queryAtom, const Atom &targetAtom) const

## Public Attributes

int | d_refConfId = -1
int | d_queryConfId = -1
double | d_tol2 = 1e-8

## Detailed Description

Definition at line 289 of file SubstructMatch.h.

## Constructor & Destructor Documentation

## AtomCoordsMatchFunctor()

RDKit::AtomCoordsMatchFunctor::AtomCoordsMatchFunctor | ( | int | refConfId = -1,
|  | int | queryConfId = -1,
|  | double | tol = 1e-4 )

inline

Definition at line 293 of file SubstructMatch.h.

References d_queryConfId, d_refConfId, and d_tol2.

## Member Function Documentation

## operator()()

bool RDKit::AtomCoordsMatchFunctor::operator() | ( | const Atom & | queryAtom,
|  | const Atom & | targetAtom ) const

## Member Data Documentation

## d_queryConfId

int RDKit::AtomCoordsMatchFunctor::d_queryConfId = -1

Definition at line 291 of file SubstructMatch.h.

Referenced by AtomCoordsMatchFunctor().

## d_refConfId

int RDKit::AtomCoordsMatchFunctor::d_refConfId = -1

Definition at line 290 of file SubstructMatch.h.

Referenced by AtomCoordsMatchFunctor().

## d_tol2

double RDKit::AtomCoordsMatchFunctor::d_tol2 = 1e-8

Definition at line 292 of file SubstructMatch.h.

Referenced by AtomCoordsMatchFunctor().

The documentation for this struct was generated from the following file:

- SubstructMatch.h